Article ID: 127545, created on Nov 24, 2015, last review on Nov 24, 2015

  • Applies to:
  • Plesk 12.5 for Windows


Unable to activate mod_security firewall in Plesk 12.5, the following error appears:

Failed to install the Mod-security rule set: Unable to find row with id 221 in domains table.

Unable to use the current Apache configuration file and to roll back to the previous version of the file because they contain an invalid configuration.


Database inconsistency.


Fix database inconsistency using Plesk self-repair tool.
Run from command line:

plesk repair db

After that enable mod_security again.

Search Words

Failed to install the ModSecurity rule set

Échec de l'installation du jeu de règles ModSecurity : Unable to find row with id 221 in domains table.Impossible d'utiliser le fichier de configuration Apache actuel et d"e revenir à la version précédente du fichier, "car les deux contiennent une configuration non valide.

Unable to find row with id in domains table

web application firewall

8b661cab116c79dbe6c4ac5bbdf1c8cb 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 a766cea0c28e23e978fa78ef81918ab8

Email subscription for changes to this article
Save as PDF